%define upstream_name    XXX
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    See Your Data in the Nude
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(YAML::PP) >= 0.18.0
BuildArch:  noarch

%description
XXX.pm exports a function called XXX that you can put just about anywhere
in your Perl code to make it die with a YAML dump of the arguments to its
right.

The charm of XXX-debugging is that it is easy to type, rarely requires
parens and stands out visually so that you remember to remove it.

XXX.pm also exports WWW, YYY and ZZZ which do similar debugging things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.350.0-2.mga8
+ Revision: 1543897
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.350.0-1.mga8
+ Revision: 1482257
- update to 0.35

* Tue Jan 07 2020 tv <tv> 0.330.0-1.mga8
+ Revision: 1477028
- update to 0.33

* Wed Sep 19 2018 umeabot <umeabot> 0.290.0-4.mga7
+ Revision: 1272845
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-3.mga6
+ Revision: 1036177
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.290.0-2.mga6
+ Revision: 968666
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 854182
- update to 0.29

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 789592
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 740579
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 686986
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.210.0-1.mga5
+ Revision: 640041
- update to 0.21

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 516309
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 375278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 163236
- imported package perl-XXX


* Sat Nov 05 2011 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
